Edit gas station settings for an asset
Configures gas station settings for a requested asset. Learn more about the Fireblocks Gas Station in the following guide. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
PUT
/
gas_station
/
configuration
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<EditGasStationConfigurationResponse>> = fireblocks.gasStations.updateGasStationConfigurationByAssetId(gasStationsApiUpdateGasStationConfigurationByAssetIdRequest);CompletableFuture<ApiResponse<EditGasStationConfigurationResponse>> response = fireblocks.gasStations().updateGasStationConfigurationByAssetId(gasStationConfiguration, assetId, idempotencyKey);response = fireblocks.gas_stations.update_gas_station_configuration_by_asset_id(gas_station_configuration, asset_id, idempotency_key);curl --request PUT \
--url https://api.fireblocks.io/v1/gas_station/configuration/{assetId} \
--header 'Content-Type: application/json' \
--data '
{
"gasThreshold": "<string>",
"gasCap": "<string>",
"maxGasPrice": "<string>"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({gasThreshold: '<string>', gasCap: '<string>', maxGasPrice: '<string>'})
};
fetch('https://api.fireblocks.io/v1/gas_station/configuration/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the asset
Response
OK
Indicates whether editing the gas station configuration was successful
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<EditGasStationConfigurationResponse>> = fireblocks.gasStations.updateGasStationConfigurationByAssetId(gasStationsApiUpdateGasStationConfigurationByAssetIdRequest);CompletableFuture<ApiResponse<EditGasStationConfigurationResponse>> response = fireblocks.gasStations().updateGasStationConfigurationByAssetId(gasStationConfiguration, assetId, idempotencyKey);response = fireblocks.gas_stations.update_gas_station_configuration_by_asset_id(gas_station_configuration, asset_id, idempotency_key);